<?xml version="1.0" encoding="UTF-8"?>
<!--
  Copyright (c) 2025 Contributors to the Eclipse Foundation

  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.

  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT

  SPDX-License-Identifier: MIT
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.eclipse.escet</groupId>
        <artifactId>org.eclipse.escet.root</artifactId>
        <version>7.0.0-SNAPSHOT</version>
        <relativePath>../../</relativePath>
    </parent>

    <artifactId>org.eclipse.escet.releng.problemreporter.run</artifactId>
    <packaging>pom</packaging>

    <dependencies>
        <!-- Dependencies. -->
        <dependency>
            <groupId>org.eclipse.escet</groupId>
            <artifactId>org.eclipse.escet.releng.problemreporter.plugin</artifactId>
            <version>${project.version}</version>
        </dependency>

        <!-- Run last in the build. -->
        <!-- Declare them as 'test' scope, as otherwise Tycho complains that it can't find these dependencies. -->
        <dependency>
            <groupId>org.eclipse.escet</groupId>
            <artifactId>org.eclipse.escet.releng.target</artifactId>
            <version>${project.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.eclipse.escet</groupId>
            <artifactId>org.eclipse.escet.releng.tests</artifactId>
            <version>${project.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.eclipse.escet</groupId>
            <artifactId>org.eclipse.escet.releng.website</artifactId>
            <version>${project.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.eclipse.escet</groupId>
            <artifactId>org.eclipse.escet.product</artifactId>
            <version>${project.version}</version>
            <scope>test</scope>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.eclipse.escet</groupId>
                <artifactId>org.eclipse.escet.releng.problemreporter.plugin</artifactId>
                <version>${project.version}</version>
                <executions>
                    <execution>
                        <id>report-problems</id>
                        <phase>verify</phase>
                        <goals>
                            <goal>report-problems</goal>
                        </goals>
                        <configuration>
                            <reportPath>${project.build.directory}/build-problems-report.html</reportPath>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
